Skip to content
SENS Platform Docs

Read one authorized telemetry Flow for exact selector restoration.

GET
/v1/flows/{flowId}
curl --request GET \
--url https://api.dev.iot-sens.schlossers.at/v1/flows/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'
flowId
required
string format: uuid

Flow detail.

Media typeapplication/json
object
flowId
required
string format: uuid
tenantId
required
string format: uuid
deviceTypeId
required
string format: uuid
deviceTypeName
required
string
>= 1 characters <= 200 characters
key
required
string
/^[a-z0-9][a-z0-9_-]{0,63}$/
name
required
string
>= 1 characters <= 200 characters
description
required
string
<= 1000 characters
activeVersionId
required
One of:
string format: uuid
activeVersionNumber
required
integer | null
>= 1
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Examplegenerated
{
"flowId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"tenantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"deviceTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"deviceTypeName": "example",
"key": "example",
"name": "example",
"description": "example",
"activeVersionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"activeVersionNumber": 1,
"createdAt": "2026-04-15T12:00:00Z",
"updatedAt": "2026-04-15T12:00:00Z"
}

A safe platform error response.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: VALIDATION_FAILED AUTHENTICATION_FAILED AUTHORIZATION_FAILED RESOURCE_NOT_FOUND CONFLICT DEPENDENCY_FAILURE FLOW_FAILURE RATE_LIMITED INTERNAL_ERROR
category
required
string
Allowed values: validation authentication authorization not_found conflict dependency_failure flow_failure rate_limit internal
message
required

Safe client-facing diagnostic message.

string
correlationId
required

Correlation ID for operational investigation.

string
>= 1 characters
details

Safe bounded diagnostic details.

object
key
additional properties
One of:
string
Example
{
"error": {
"code": "VALIDATION_FAILED",
"category": "validation"
}
}
Cache-Control
string
Allowed value: no-store